import { defineStore, acceptHMRUpdate } from 'pinia'

export const useStore = defineStore({
	id: 'index',
	state: () => ({
		// 添加临时数据存储字段
		tempApiData: {}, // 存储API返回的临时数据
		serApiData: {}, // 存储API返回的临时数据
		isEnglish: 'zh', // 判断是否是英文
	}),
	getters: {
		// 获取临时API数据的getter
		getTempApiData: state => state.tempApiData,
	},
	actions: {
		// 保存API返回的临时数据
		saveTempApiData(data: any) {
			this.tempApiData = data
		},
		saveSerApiData(data: any) {
			this.serApiData = data
		},
		// 判断是否是英文
		setIsEnglish(value: string) {
			this.isEnglish = value
		},
		// 清除临时数据
		clearTempApiData() {
			this.tempApiData = {}
		},
	},
})

if (import.meta.hot) {
	import.meta.hot.accept(acceptHMRUpdate(useStore, import.meta.hot))
}
